Package wx :: Package lib :: Package agw :: Module gradientbutton :: Class GradientButtonEvent

[frames | no frames]

## Type GradientButtonEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
            PyCommandEvent --+
                             |
                            GradientButtonEvent

Event sent from the Gradient buttons when the button is activated.

Method Summary
| ``__init__`(self, eventType, id)` Default class constructor.
| ``GetButtonObj`(self)` Returns the object associated with this event.
| ``SetButtonObj`(self, btn)` Sets the event object for the event.

Property Summary

Method Details

### __init__(self, eventType, id)
(Constructor)

Default class constructor.

@param eventType: the event type; @param id: the event id.

  Overrides:
    `wx.PyCommandEvent.__init__`

### GetButtonObj(self)

Returns the object associated with this event.

### SetButtonObj(self, btn)

Sets the event object for the event.

@param btn: the button object.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:28 2009 | http://epydoc.sf.net